﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RiskLib;
using RiskLib.DataSource;

namespace DataSourceExample
{
    public class DBRiskLibSample:SQLCeDataSource
    {
        public DBRiskLibSample(string connString) :
            base("RiskLibSample", connString, "Historical", "Product",
             new FieldMappingList()
             {
                 {FieldNameEnum.LocalCode,"ProductCode"},
                 {FieldNameEnum.EnglishName,"ProductName"}
             }
             ,
             new FieldMappingList()
             {
                 {FieldNameEnum.LocalCode,"ProductCode"},
                 {FieldNameEnum.DataDate,"DataDate"},
                 {FieldNameEnum.OpenPrice,"OpenPrice"},
                 {FieldNameEnum.HighPrice,"HighPrice"},
                 {FieldNameEnum.LowPrice,"LowPrice"},
                 {FieldNameEnum.ClosePrice,"ClosePrice"},
                 {FieldNameEnum.Volume,"Volume"},
                 {FieldNameEnum.AdjClose,"AdjClose"}
             })
        {
        }
 

    }
}
