﻿/*
 Copyright (c) 2009 Alvin Cho (alvincho@risklib.com)
 Copyright (c) 2009 RiskLib.com
 
 This file is part of RiskLib.NET Project. See http://www.risklib.net for more information.
 
 RiskLib.NET is an open source project. Using of RiskLib.NET is free of charge.
 It is distributed under GNU General Public License version 2 (GPLv2).
 GPLv2 can be found at http://www.risklib.net/risklib/license.
 
 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the license for more details.
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RiskLib.Product
{
    public class Futures:AbstractProduct
    {
        public Futures(IProductCode productCode)
            : base(productCode,
            new List<FieldNameEnum>()
                {
                        FieldNameEnum.EnglishName, 
                        FieldNameEnum.Currency, 
                        FieldNameEnum.ChineseName
        
                },
            new List<FieldNameEnum>()
            {
            }
            )
        {
        }
    }
}
